#include <bits/stdc++.h>
using namespace std;

int main() {
    int n,l;
    cin>>n>>l;
    int h[n];
    for (int i=0;i<n;i++) {
        cin>>h[i];
    }
    int br=0;
    for (int i=0;i<n;i++) {
        if (h[i]<=l) {
            cout<<i+1;
            break;
        } else {
            br++;
        }
    }
    if (br==n) 
        cout<<-1;
}